Update alert configuration
const url = 'https://api.ultimateteam.ai/api/v1/monitoring/alert-config/example';const options = { method: 'PUT', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"destinations":[{"api_key":"example","enabled":true,"type":"example","url":""}],"quiet_hours_end":1,"quiet_hours_start":1,"severity_routing":{"additionalProperty":["example"]},"tenant_id":""}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.ultimateteam.ai/api/v1/monitoring/alert-config/example \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "destinations": [ { "api_key": "example", "enabled": true, "type": "example", "url": "" } ], "quiet_hours_end": 1, "quiet_hours_start": 1, "severity_routing": { "additionalProperty": [ "example" ] }, "tenant_id": "" }'Updates per-tenant alert routing configuration.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Per-tenant alert routing configuration.
Args: tenant_id: The tenant identifier. destinations: List of configured alert destinations. severity_routing: Maps severity to destination types. quiet_hours_start: Start of quiet hours (0-23, None=disabled). quiet_hours_end: End of quiet hours (0-23, None=disabled).
object
A single alert destination configuration.
Args: type: Destination type (pagerduty, opsgenie, slack, email). url: Webhook URL or email address. api_key: Optional API key for the destination. enabled: Whether this destination is active.
object
Responses
Section titled “ Responses ”Successful Response
Per-tenant alert routing configuration.
Args: tenant_id: The tenant identifier. destinations: List of configured alert destinations. severity_routing: Maps severity to destination types. quiet_hours_start: Start of quiet hours (0-23, None=disabled). quiet_hours_end: End of quiet hours (0-23, None=disabled).
object
A single alert destination configuration.
Args: type: Destination type (pagerduty, opsgenie, slack, email). url: Webhook URL or email address. api_key: Optional API key for the destination. enabled: Whether this destination is active.
object
Example
{ "destinations": [ { "enabled": true, "url": "" } ], "tenant_id": ""}Validation Error
object
object
object
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}